MySQL++ Reference Manual

MySQL++ SSQLS v2 Translator: ParseV2::Table Class Reference

MySQL++ SSQLS v2 Translator 3.2.4

Public Member Functions | Static Public Member Functions | List of all members
ParseV2::Table Class Reference

'table' directive line More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::Table:
[legend]
Collaboration diagram for ParseV2::Table:
[legend]

## Public Member Functions
| Table (const std::string &name, const std::string &alias, const std::string &filebase)
| Constructor. More...
void | print (std::ostream &os) const
| Print the table description out to a stream in SSQLS v2 form.
Public Member Functions inherited from ParseV2::Line
virtual | ~Line ()
| Virtual dtor, since this is a base class.

## Static Public Member Functions
static Table * | parse (const StringList &tl, bool subdirective, const File &file)
| Attempt to create a Table object from information in the passed StringList. More...
Static Public Member Functions inherited from ParseV2::Line
static Line * | parse (const StringList &tl, bool subdirective, const File &file)
| Virtual ctor, creating one of our subclass objects based on what we're passed. More...

## Additional Inherited Members
Protected Member Functions inherited from ParseV2::Line
| Line ()
| Protected ctor, to prevent instantiation.

## Detailed Description

'table' directive line

## Constructor & Destructor Documentation

## ◆ Table()

ParseV2::Table::Table | ( | const std::string & | name,
|  | const std::string & | alias,
|  | const std::string & | filebase
| ) |  |

Constructor.

Parameters

  name | the table's SQL name
  alias | the table's C++ name; defaults to `name`
  filebase | the base name used for generated C++ code files; defaults to `name`

## Member Function Documentation

## ◆ parse()

ParseV2::Table * ParseV2::Table::parse | ( | const StringList & | tl,
|  | bool | subdirective,
|  | const File & | file
| ) |  |
| static

Attempt to create a Table object from information in the passed StringList.

A kind of pre-processor for the Table ctor, creating a Table object only if the given StringList makes sense, using the values we find in that StringList as parameters to the Table ctor.

References ParseV2::File::parse_error().

Referenced by ParseV2::Line::parse().

The documentation for this class was generated from the following files:

- parsev2.h
- parsev2.cpp